# frozen_string_literal: true

Gem::Specification.new do |s|
  s.name        = 'wouter-views'
  s.platform    = Gem::Platform::RUBY
  s.version     = '0.0.9'
  s.summary     = 'View template support for Wouter web framework.'
  s.description = 'Adds view template support to the Wouter web framework.'
  s.authors     = ['Robert Peterson']
  s.email       = 'robertpeterson@gmail.com'
  s.files       = Dir['lib/**/*'] + ['README.md', 'Gemfile', 'Rakefile', 'wouter-views.gemspec']
  s.test_files  = s.files.select { |p| p =~ /^test\/.*_test.rb/ }
  s.license     = 'MIT'
  s.homepage    = 'https://github.com/rawburt/wouter-views'

  s.add_dependency 'wouter', '~> 0.0.10'
  s.add_dependency 'rack', '~> 2.0', '>= 2.0.6'
  s.add_dependency 'tilt', '~> 2.0', '>= 2.0.8'
  s.add_development_dependency 'm', '~> 1.5'
  s.add_development_dependency 'minitest', '~> 5.11'
  s.add_development_dependency 'minitest-rg', '~> 5.2'
  s.add_development_dependency 'rack-test', '~> 1.1'
  s.add_development_dependency 'rake', '~> 12.3'
  s.add_development_dependency 'slim', '~> 4.0', '>= 4.0.1'
  s.add_development_dependency 'sass', '~> 3.7'
end
